Bug 1215354 - Review Request: python-assimulo - Ordinary differential and differential algebraic equations solver
Summary: Review Request: python-assimulo - Ordinary differential and differential alge...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-25 18:31 UTC by Antonio T. (sagitter)
Modified: 2017-02-07 04:33 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-20 06:53:42 UTC
nonamedotc: fedora-review+


Attachments (Terms of Use)
Numpy patch (1.94 KB, patch)
2015-11-21 14:23 UTC, Antonio T. (sagitter)
no flags Details | Diff
build log (539.30 KB, text/plain)
2015-12-08 02:28 UTC, Mukundan Ragavan
no flags Details

Description Antonio T. (sagitter) 2015-04-25 18:31:40 UTC
Spec URL: https://sagitter.fedorapeople.org/assimulo/assimulo.spec
SRPM URL: https://sagitter.fedorapeople.org/assimulo/assimulo-2.7b1-1.20150420rev751.fc21.src.rpm

Description: 
Assimulo is a Cython/Python based simulation package that allows for simulation 
of both ordinary differential equations (ODEs), f(t,y), 
and differential algebraic equations (DAEs), f(t,y,yd). 
It combines a variety of different solvers written in C, FORTRAN and 
Python via a common high-level interface.

Fedora Account System Username: sagitter

Comment 1 Antonio T. (sagitter) 2015-04-26 18:39:15 UTC
Spec URL: https://sagitter.fedorapeople.org/assimulo/assimulo.spec
SRPM URL: https://sagitter.fedorapeople.org/assimulo/assimulo-2.7b1-2.20150420rev751.fc21.src.rpm

- Packaged license files
- Fixed library permissions

Zipped archive source code (revision trunk) downloaded by upstream produces this error:

+ /usr/bin/unzip -qq /home/sagitter/rpmbuild/SOURCES/trunk-751.zip
warning: stripped absolute path spec from /
mapname: conversion of failed
warning: stripped absolute path spec from /
mapname: conversion of failed 

I'm forced to unpack and re-compress manually before of packaging, so an 'Upstream MD5sum check error' comes out from fedora-review tool.

Comment 2 Igor Gnatenko 2015-05-14 17:47:16 UTC
> %setup -q -n trunk
use '%setup -q -c' instead. It will create special directory where you will find trunk/

> %if 0%{?rhel} && 0%{?rhel} <= 6
> %{!?__python2: %global __python2 /usr/bin/python2}
> %{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
> %{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
> %endif
are you planning to support el6?

spectool -g ./assimulo.spec downloads broken zip. Please remove url and write in comments how it supposed to be repacked. or fix url.

I will complete review tomorrow.

Comment 3 Antonio T. (sagitter) 2015-05-14 18:25:39 UTC
(In reply to Igor Gnatenko from comment #2)
> > %setup -q -n trunk
> use '%setup -q -c' instead. It will create special directory where you will
> find trunk/

Okay.

> 
> > %if 0%{?rhel} && 0%{?rhel} <= 6
> > %{!?__python2: %global __python2 /usr/bin/python2}
> > %{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
> > %{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
> > %endif
> are you planning to support el6?

Yes.

> 
> spectool -g ./assimulo.spec downloads broken zip. Please remove url and
> write in comments how it supposed to be repacked. or fix url.
> 
> I will complete review tomorrow.

I wait for your complete review before to post new srpm/spec files.
Thanks.

Comment 4 Antonio T. (sagitter) 2015-07-11 19:58:09 UTC
(In reply to Antonio Trande from comment #3)
> (In reply to Igor Gnatenko from comment #2)
> > 
> > > %if 0%{?rhel} && 0%{?rhel} <= 6
> > > %{!?__python2: %global __python2 /usr/bin/python2}
> > > %{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
> > > %{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
> > > %endif
> > are you planning to support el6?
> 
> Yes.

I wish but impossible yet (missing BR packages).

Spec URL: https://sagitter.fedorapeople.org/assimulo/assimulo.spec
SRPM URL: https://sagitter.fedorapeople.org/assimulo/assimulo-2.8-1.fc22.src.rpm

- Update to 2.8
- Only for EPEL7 and Fedora

Comment 5 Antonio T. (sagitter) 2015-08-22 09:12:44 UTC
@Igor Gnatenko

This review is stalled. Please, confirm your interest on it.

Comment 6 Antonio T. (sagitter) 2015-09-02 15:53:18 UTC
(In reply to Antonio Trande from comment #5)
> @Igor Gnatenko
> 
> This review is stalled. Please, confirm your interest on it.

This review is newly unassigned.

Comment 7 Ben Rosser 2015-09-09 16:32:48 UTC
On current Rawhide, the unit tests fail (tried to build SRPM using mock):

======================================================================
ERROR: test_examples.Test_Examples.test_dasp3_basic
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/nose/case.py", line 197, in runTest
    self.test(*self.arg)
  File "/builddir/build/BUILD/Assimulo-2.8/assimulo/tests/test_examples.py", line 47, in test_dasp3_basic
    dasp3_basic.run_example(with_plots=False)
  File "/builddir/build/BUILDROOT/assimulo-2.8-1.fc24.x86_64/usr/lib64/python2.7/site-packages/assimulo/examples/dasp3_basic.py", line 91, in run_example
    t, y = exp_sim.simulate(10) #Simulate 10 seconds
  File "assimulo/ode.pyx", line 169, in assimulo.ode.ODE.simulate (assimulo/ode.c:5794)
  File "assimulo/ode.pyx", line 283, in assimulo.ode.ODE.simulate (assimulo/ode.c:5277)
  File "assimulo/explicit_ode.pyx", line 102, in assimulo.explicit_ode.Explicit_ODE._simulate (assimulo/explicit_ode.c:4385)
  File "assimulo/explicit_ode.pyx", line 188, in assimulo.explicit_ode.Explicit_ODE._simulate (assimulo/explicit_ode.c:3204)
  File "/builddir/build/BUILDROOT/assimulo-2.8-1.fc24.x86_64/usr/lib64/python2.7/site-packages/assimulo/solvers/dasp3.py", line 129, in integrate
    t,lflag=dasp3dp.dasp3(self.problem.rhs1,self.problem.rhs2,self._solout,t,tf,self.wsy,self.wsz,n,m,tol,
NameError: global name 'dasp3dp' is not defined

----------------------------------------------------------------------

Comment 8 Antonio T. (sagitter) 2015-09-09 17:33:32 UTC
Thanks.

I will check this package as soon as i complete other reviews.

Comment 9 Upstream Release Monitoring 2015-10-02 19:22:03 UTC
sagitter's scratch build of assimulo-2.8-2.fc22.src.rpm for f22 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11312948

Comment 10 Antonio T. (sagitter) 2015-10-02 19:47:06 UTC
This package is now ready for the review.

Spec URL: https://sagitter.fedorapeople.org/assimulo/assimulo.spec
SRPM URL: https://sagitter.fedorapeople.org/assimulo/assimulo-2.8-2.fc22.src.rpm

- Fixed numpy's version detection
- Fixed test error on AARCH64
- Set Fortran compiler flags

Comment 11 Antonio T. (sagitter) 2015-11-10 12:41:39 UTC
Spec URL: https://sagitter.fedorapeople.org/assimulo/assimulo.spec
SRPM URL: https://sagitter.fedorapeople.org/assimulo/assimulo-2.8-3.fc23.src.rpm

- Fixed flags for hardened builds

Comment 12 Upstream Release Monitoring 2015-11-10 12:45:57 UTC
sagitter's scratch build of assimulo-2.8-3.fc23.src.rpm for f21 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11769378

Comment 13 Richard Shaw 2015-11-10 14:45:21 UTC
I may have some time to take this review but have a question.

What's the purpose of defining pname? As soon as you set the name, you can use %{name} instead.

Comment 14 Antonio T. (sagitter) 2015-11-10 15:43:47 UTC
Hi Richard,

originally, i was going to name this package 'python-assimulo', then i chose just assimulo.

Spec URL: https://sagitter.fedorapeople.org/assimulo/assimulo.spec
SRPM URL: https://sagitter.fedorapeople.org/assimulo/assimulo-2.8-4.fc23.src.rpm

- Removed pname custom macro

Comment 15 Mukundan Ragavan 2015-11-12 01:26:01 UTC
I am taking this.

Comment 16 Richard Shaw 2015-11-12 16:16:33 UTC
(In reply to Antonio Trande from comment #14)
> Hi Richard,
> 
> originally, i was going to name this package 'python-assimulo', then i chose
> just assimulo.

Ok, well it looks like you have a formal reviewer now. My only feedback is that I think you were right in the first place, this is more of a python library, not an end user application so I think it must be prefixed with python-... per the Python guidelines.

Comment 17 Mukundan Ragavan 2015-11-13 11:36:18 UTC
Antonio - sorry for the delay. I will post a review later today.

Comment 18 Upstream Release Monitoring 2015-11-14 19:05:23 UTC
nonamedotc's scratch build of assimulo-2.8-4.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11837188

Comment 19 Mukundan Ragavan 2015-11-14 19:29:21 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

---> I am able to install the package manually on my VM ... will need to check again.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* BSD (2 clause)", "*No
     copyright* LGPL (v3)", "BSD (3 clause)", "BSD (2 clause)", "LGPL (v2.1
     or later)", "GPL (v3)", "LGPL (v3)". 72 files have unknown license.
     Detailed output of licensecheck in
     /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1215354-assimulo/licensecheck.txt

---> This seems to be ok. No issues noticed. License files are also provided by the source1 tarball.

Please also contact the upstream and request them to include license full texts in the source tree.

[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.

---> License: LGPLv3+ and LGPLv2+ and BSD and GPLv3

All licenses included.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[?]: Package is named according to the Package Naming Guidelines.

---> Wouldn't the name be more appropriate as python-assimulo?

[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.

---> Already mentioned above.

[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-assimulo , assimulo-debuginfo

---> This is fine.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.

---> Packager included license files are fine.

[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments

---> Already mentioned earlier with respect to licenses. This is fine.

[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.

---> https://koji.fedoraproject.org/koji/taskinfo?taskID=11837188

This seems to fail ... Let me check

[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.13 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.13
INFO: Mock Version: 1.2.13
Finish: chroot init
INFO: installing package(s): /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1215354-assimulo/results/assimulo-2.8-4.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1215354-assimulo/results/python3-assimulo-2.8-4.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1215354-assimulo/results/assimulo-debuginfo-2.8-4.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1215354-assimulo/results/assimulo-debuginfo-2.8-4.fc24.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 24 install /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1215354-assimulo/results/assimulo-2.8-4.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1215354-assimulo/results/python3-assimulo-2.8-4.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1215354-assimulo/results/assimulo-debuginfo-2.8-4.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1215354-assimulo/results/assimulo-debuginfo-2.8-4.fc24.x86_64.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: assimulo-2.8-4.fc24.x86_64.rpm
          python3-assimulo-2.8-4.fc24.x86_64.rpm
          assimulo-debuginfo-2.8-4.fc24.x86_64.rpm
          assimulo-2.8-4.fc24.src.rpm
assimulo.x86_64: E: explicit-lib-dependency python-matplotlib
assimulo.x86_64: W: no-soname /usr/lib64/python2.7/site-packages/assimulo/lib/odassl.so
assimulo.x86_64: W: no-soname /usr/lib64/python2.7/site-packages/assimulo/lib/sundials_kinsol_core.so
assimulo.x86_64: W: no-soname /usr/lib64/python2.7/site-packages/assimulo/lib/dasp3dp.so
assimulo.x86_64: W: no-soname /usr/lib64/python2.7/site-packages/assimulo/lib/odepack.so
assimulo.x86_64: W: no-soname /usr/lib64/python2.7/site-packages/assimulo/lib/radau5.so
assimulo.x86_64: W: no-soname /usr/lib64/python2.7/site-packages/assimulo/lib/dopri5.so
assimulo.x86_64: W: no-soname /usr/lib64/python2.7/site-packages/assimulo/lib/glimda.so
assimulo.x86_64: W: no-soname /usr/lib64/python2.7/site-packages/assimulo/lib/rodas.so
assimulo.x86_64: W: no-soname /usr/lib64/python2.7/site-packages/assimulo/lib/radar5.so
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/cvode_basic_backward.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/tests/test_examples.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/ida_with_jac_spgmr.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/dopri5_basic.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/radau5dae_time_events.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/solvers/dasp3.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/rungekutta4_basic.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/cvode_with_disc.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/glimda_vanderpol.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/tests/solvers/__init__.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/solvers/runge_kutta.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/lsodar_bouncing_ball.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/euler_with_disc.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/tests/solvers/test_odepack.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/radau5ode_vanderpol.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/tests/solvers/test_euler.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/tests/solvers/test_radau5.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/cvode_with_parameters_modified.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/ida_basic_backward.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/tests/solvers/test_rungekutta.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/radau5ode_with_disc.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/radau5dae_vanderpol.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/cvode_stability.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/euler_basic.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/dopri5_with_disc.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/kinsol_with_jac.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/solvers/odepack.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/kinsol_ors.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/solvers/__init__.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/lsodar_with_disc.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/rodasode_vanderpol.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/rungekutta34_with_disc.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/solvers/rosenbrock.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/euler_vanderpol.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/tests/solvers/test_glimda.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/solvers/odassl.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/tests/solvers/test_sundials.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/rungekutta34_basic.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/solvers/radar5.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/kinsol_basic.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/lsodar_vanderpol.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/tests/test_KINSOL.py
assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/solvers/radau5.py
python3-assimulo.x86_64: E: explicit-lib-dependency python3-matplotlib
python3-assimulo.x86_64: W: no-soname /usr/lib64/python3.4/site-packages/assimulo/lib/odepack.cpython-34m.so
python3-assimulo.x86_64: W: no-soname /usr/lib64/python3.4/site-packages/assimulo/lib/dopri5.cpython-34m.so
python3-assimulo.x86_64: W: no-soname /usr/lib64/python3.4/site-packages/assimulo/lib/radar5.cpython-34m.so
python3-assimulo.x86_64: W: no-soname /usr/lib64/python3.4/site-packages/assimulo/lib/dasp3dp.cpython-34m.so
python3-assimulo.x86_64: W: no-soname /usr/lib64/python3.4/site-packages/assimulo/lib/sundials_kinsol_core.cpython-34m.so
python3-assimulo.x86_64: W: no-soname /usr/lib64/python3.4/site-packages/assimulo/lib/odassl.cpython-34m.so
python3-assimulo.x86_64: W: no-soname /usr/lib64/python3.4/site-packages/assimulo/lib/radau5.cpython-34m.so
python3-assimulo.x86_64: W: no-soname /usr/lib64/python3.4/site-packages/assimulo/lib/glimda.cpython-34m.so
python3-assimulo.x86_64: W: no-soname /usr/lib64/python3.4/site-packages/assimulo/lib/rodas.cpython-34m.so
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/examples/euler_vanderpol.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/examples/glimda_vanderpol.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/tests/solvers/test_glimda.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/examples/rungekutta4_basic.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/examples/rodasode_vanderpol.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/examples/ida_with_jac_spgmr.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/tests/solvers/__init__.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/examples/kinsol_basic.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/tests/solvers/test_odepack.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/examples/radau5dae_vanderpol.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/examples/cvode_with_disc.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/examples/rungekutta34_basic.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/examples/cvode_with_parameters_modified.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/examples/kinsol_with_jac.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/solvers/rosenbrock.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/examples/lsodar_bouncing_ball.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/tests/solvers/test_radau5.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/solvers/radau5.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/examples/radau5ode_with_disc.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/examples/rungekutta34_with_disc.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/examples/cvode_stability.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/examples/radau5ode_vanderpol.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/examples/dopri5_with_disc.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/examples/euler_basic.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/solvers/radar5.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/tests/test_examples.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/examples/euler_with_disc.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/examples/radau5dae_time_events.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/solvers/odepack.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/tests/solvers/test_rungekutta.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/tests/solvers/test_euler.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/tests/test_KINSOL.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/examples/cvode_basic_backward.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/examples/lsodar_vanderpol.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/examples/kinsol_ors.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/solvers/dasp3.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/solvers/__init__.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/solvers/odassl.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/examples/dopri5_basic.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/examples/lsodar_with_disc.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/tests/solvers/test_sundials.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/solvers/runge_kutta.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.4/site-packages/assimulo/examples/ida_basic_backward.py
assimulo.src: W: %ifarch-applied-patch Patch0: %{name}-mech_system_pendulum.patch
assimulo.src: W: invalid-url Source1: assimulo-licenses.tar.gz
4 packages and 0 specfiles checked; 88 errors, 20 warnings.




Requires
--------
assimulo (rpmlib, GLIBC filtered):
    /usr/bin/env
    libblas.so.3()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libgfortran.so.3()(64bit)
    libgfortran.so.3(GFORTRAN_1.0)(64bit)
    libgfortran.so.3(GFORTRAN_1.4)(64bit)
    liblapack.so.3()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    libquadmath.so.0()(64bit)
    libsundials_cvodes.so.2()(64bit)
    libsundials_idas.so.0()(64bit)
    libsundials_kinsol.so.1()(64bit)
    libsundials_nvecserial.so.0()(64bit)
    numpy
    python(abi)
    python-matplotlib
    rtld(GNU_HASH)
    scipy

python3-assimulo (rpmlib, GLIBC filtered):
    /usr/bin/env
    libblas.so.3()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libgfortran.so.3()(64bit)
    libgfortran.so.3(GFORTRAN_1.0)(64bit)
    libgfortran.so.3(GFORTRAN_1.4)(64bit)
    liblapack.so.3()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.4m.so.1.0()(64bit)
    libquadmath.so.0()(64bit)
    libsundials_cvodes.so.2()(64bit)
    libsundials_idas.so.0()(64bit)
    libsundials_kinsol.so.1()(64bit)
    libsundials_nvecserial.so.0()(64bit)
    python(abi)
    python3-matplotlib
    python3-numpy
    python3-scipy
    rtld(GNU_HASH)

assimulo-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
assimulo:
    assimulo
    assimulo(x86-64)
    python-assimulo
    python-assimulo(x86-64)

python3-assimulo:
    python3-assimulo
    python3-assimulo(x86-64)

assimulo-debuginfo:
    assimulo-debuginfo
    assimulo-debuginfo(x86-64)



Unversioned so-files
--------------------
assimulo: /usr/lib64/python2.7/site-packages/assimulo/algebraic.so
assimulo: /usr/lib64/python2.7/site-packages/assimulo/explicit_ode.so
assimulo: /usr/lib64/python2.7/site-packages/assimulo/implicit_ode.so
assimulo: /usr/lib64/python2.7/site-packages/assimulo/lib/dasp3dp.so
assimulo: /usr/lib64/python2.7/site-packages/assimulo/lib/dopri5.so
assimulo: /usr/lib64/python2.7/site-packages/assimulo/lib/glimda.so
assimulo: /usr/lib64/python2.7/site-packages/assimulo/lib/odassl.so
assimulo: /usr/lib64/python2.7/site-packages/assimulo/lib/odepack.so
assimulo: /usr/lib64/python2.7/site-packages/assimulo/lib/radar5.so
assimulo: /usr/lib64/python2.7/site-packages/assimulo/lib/radau5.so
assimulo: /usr/lib64/python2.7/site-packages/assimulo/lib/rodas.so
assimulo: /usr/lib64/python2.7/site-packages/assimulo/lib/sundials_kinsol_core.so
assimulo: /usr/lib64/python2.7/site-packages/assimulo/ode.so
assimulo: /usr/lib64/python2.7/site-packages/assimulo/problem.so
assimulo: /usr/lib64/python2.7/site-packages/assimulo/solvers/euler.so
assimulo: /usr/lib64/python2.7/site-packages/assimulo/solvers/kinsol.so
assimulo: /usr/lib64/python2.7/site-packages/assimulo/solvers/sundials.so
assimulo: /usr/lib64/python2.7/site-packages/assimulo/special_systems.so
assimulo: /usr/lib64/python2.7/site-packages/assimulo/support.so
python3-assimulo: /usr/lib64/python3.4/site-packages/assimulo/algebraic.cpython-34m.so
python3-assimulo: /usr/lib64/python3.4/site-packages/assimulo/explicit_ode.cpython-34m.so
python3-assimulo: /usr/lib64/python3.4/site-packages/assimulo/implicit_ode.cpython-34m.so
python3-assimulo: /usr/lib64/python3.4/site-packages/assimulo/lib/dasp3dp.cpython-34m.so
python3-assimulo: /usr/lib64/python3.4/site-packages/assimulo/lib/dopri5.cpython-34m.so
python3-assimulo: /usr/lib64/python3.4/site-packages/assimulo/lib/glimda.cpython-34m.so
python3-assimulo: /usr/lib64/python3.4/site-packages/assimulo/lib/odassl.cpython-34m.so
python3-assimulo: /usr/lib64/python3.4/site-packages/assimulo/lib/odepack.cpython-34m.so
python3-assimulo: /usr/lib64/python3.4/site-packages/assimulo/lib/radar5.cpython-34m.so
python3-assimulo: /usr/lib64/python3.4/site-packages/assimulo/lib/radau5.cpython-34m.so
python3-assimulo: /usr/lib64/python3.4/site-packages/assimulo/lib/rodas.cpython-34m.so
python3-assimulo: /usr/lib64/python3.4/site-packages/assimulo/lib/sundials_kinsol_core.cpython-34m.so
python3-assimulo: /usr/lib64/python3.4/site-packages/assimulo/ode.cpython-34m.so
python3-assimulo: /usr/lib64/python3.4/site-packages/assimulo/problem.cpython-34m.so
python3-assimulo: /usr/lib64/python3.4/site-packages/assimulo/solvers/euler.cpython-34m.so
python3-assimulo: /usr/lib64/python3.4/site-packages/assimulo/solvers/kinsol.cpython-34m.so
python3-assimulo: /usr/lib64/python3.4/site-packages/assimulo/solvers/sundials.cpython-34m.so
python3-assimulo: /usr/lib64/python3.4/site-packages/assimulo/special_systems.cpython-34m.so
python3-assimulo: /usr/lib64/python3.4/site-packages/assimulo/support.cpython-34m.so

Source checksums
----------------
https://pypi.python.org/packages/source/A/Assimulo/Assimulo-2.8.zip :
  CHECKSUM(SHA256) this package     : 4ce2049aa582763a3a5a742dc2afcf6ec736f1748aac6fbfd019df7495fcf141
  CHECKSUM(SHA256) upstream package : 4ce2049aa582763a3a5a742dc2afcf6ec736f1748aac6fbfd019df7495fcf141


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1215354
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 20 Mukundan Ragavan 2015-11-14 19:30:46 UTC
This is the first patch that is applied for select architectures - 

--- assimulo/examples/mech_system_pendulum.orig.py	2014-07-17 12:40:10.000000000 +0200
+++ assimulo/examples/mech_system_pendulum.py	2015-04-25 19:23:54.272276500 +0200
@@ -63,7 +63,7 @@
     print(final_residual, 'Norm:  ', sl.norm(final_residual))
     
     if with_test:
-        assert(sl.norm(final_residual) < 1.5e-2)
+        assert(sl.norm(final_residual) < 1.5e-1)
     if with_plots:
         dae_pend.plot(mask=[1,1]+(len(my_pend.y0)-2)*[0]) 
     return my_pend, dae_pend



I do not think I understand why this reduced tolerance is needed .. Can you please explain?

Comment 21 Antonio T. (sagitter) 2015-11-14 20:06:33 UTC
(In reply to Mukundan Ragavan from comment #19)
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> 
> Issues:
> =======
> - Package installs properly.
>   Note: Installation errors (see attachment)
>   See: https://fedoraproject.org/wiki/Packaging:Guidelines
> 
> ---> I am able to install the package manually on my VM ... will need to
> check again.
> 
> 
> ===== MUST items =====
> 
> C/C++:
> [x]: Package does not contain kernel modules.
> [x]: Package contains no static executables.
> [x]: Development (unversioned) .so files in -devel subpackage, if present.
>      Note: Unversioned so-files in private %_libdir subdirectory (see
>      attachment). Verify they are not in ld path.
> [x]: Header files in -devel subpackage, if present.
> [x]: Package does not contain any libtool archives (.la)
> [x]: Rpath absent or only used for internal libs.
> 
> Generic:
> [x]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> [x]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "Unknown or generated", "*No copyright* BSD (2 clause)", "*No
>      copyright* LGPL (v3)", "BSD (3 clause)", "BSD (2 clause)", "LGPL (v2.1
>      or later)", "GPL (v3)", "LGPL (v3)". 72 files have unknown license.
>      Detailed output of licensecheck in
>     
> /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1215354-assimulo/licensecheck.
> txt
> 
> ---> This seems to be ok. No issues noticed. License files are also provided
> by the source1 tarball.
> 
> Please also contact the upstream and request them to include license full
> texts in the source tree.
> 
> [x]: License file installed when any subpackage combination is installed.
> [x]: If the package is under multiple licenses, the licensing breakdown
>      must be documented in the spec.
> 
> ---> License: LGPLv3+ and LGPLv2+ and BSD and GPLv3
> 
> All licenses included.
> 
> [x]: %build honors applicable compiler flags or justifies otherwise.
> [x]: Package contains no bundled libraries without FPC exception.
> [x]: Changelog in prescribed format.
> [x]: Sources contain only permissible code or content.
> [-]: Package contains desktop file if it is a GUI application.
> [-]: Development files must be in a -devel package
> [x]: Package uses nothing in %doc for runtime.
> [x]: Package consistently uses macros (instead of hard-coded directory
>      names).
> [?]: Package is named according to the Package Naming Guidelines.
> 
> ---> Wouldn't the name be more appropriate as python-assimulo?

I will change it.

> 
> [x]: Package does not generate any conflict.
> [x]: Package obeys FHS, except libexecdir and /usr/target.
> [-]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.
> [x]: Requires correct, justified where necessary.
> [x]: Spec file is legible and written in American English.
> [-]: Package contains systemd file(s) if in need.
> [x]: Useful -debuginfo package or justification otherwise.
> [x]: Package is not known to require an ExcludeArch tag.
> [-]: Large documentation must go in a -doc subpackage. Large could be size
>      (~1MB) or number of files.
>      Note: Documentation size is 40960 bytes in 4 files.
> [x]: Package complies to the Packaging Guidelines
> [x]: Package successfully compiles and builds into binary rpms on at least
>      one supported primary architecture.
> [x]: Rpmlint is run on all rpms the build produces.
>      Note: There are rpmlint messages (see attachment).
> [x]: If (and only if) the source package includes the text of the
>      license(s) in its own file, then that file, containing the text of the
>      license(s) for the package is included in %license.
> [x]: Package requires other packages for directories it uses.
> [x]: Package must own all directories that it creates.
> [x]: Package does not own files or directories owned by other packages.
> [x]: All build dependencies are listed in BuildRequires, except for any
>      that are listed in the exceptions section of Packaging Guidelines.
> [x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
> [x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
>      beginning of %install.
> [x]: Macros in Summary, %description expandable at SRPM build time.
> [x]: Dist tag is present.
> [x]: Package does not contain duplicates in %files.
> [x]: Permissions on files are set properly.
> [x]: Package use %makeinstall only when make install DESTDIR=... doesn't
>      work.
> [x]: Package is named using only allowed ASCII characters.
> [x]: Package does not use a name that already exists.
> [x]: Package is not relocatable.
> [x]: Sources used to build the package match the upstream source, as
>      provided in the spec URL.
> [x]: Spec file name must match the spec package %{name}, in the format
>      %{name}.spec.
> [x]: File names are valid UTF-8.
> [x]: Packages must not store files under /srv, /opt or /usr/local
> 
> Python:
> [x]: Python eggs must not download any dependencies during the build
>      process.
> [x]: A package which is used by another package via an egg interface should
>      provide egg info.
> [x]: Package meets the Packaging Guidelines::Python
> [x]: Package contains BR: python2-devel or python3-devel
> [x]: Binary eggs must be removed in %prep
> 
> ===== SHOULD items =====
> 
> Generic:
> [x]: If the source package does not include license text(s) as a separate
>      file from upstream, the packager SHOULD query upstream to include it.
> 
> ---> Already mentioned above.
> 
> [x]: Final provides and requires are sane (see attachments).
> [-]: Fully versioned dependency in subpackages if applicable.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
>      python3-assimulo , assimulo-debuginfo
> 
> ---> This is fine.
> 
> [x]: Package functions as described.
> [x]: Latest version is packaged.
> [x]: Package does not include license text files separate from upstream.
> 
> ---> Packager included license files are fine.
> 
> [x]: Patches link to upstream bugs/comments/lists or are otherwise
>      justified.
> [x]: SourceX tarball generation or download is documented.
>      Note: Package contains tarball without URL, check comments
> 
> ---> Already mentioned earlier with respect to licenses. This is fine.
> 
> [-]: Description and summary sections in the package spec file contains
>      translations for supported Non-English languages, if available.
> [?]: Package should compile and build into binary rpms on all supported
>      architectures.
> 
> ---> https://koji.fedoraproject.org/koji/taskinfo?taskID=11837188
> 
> This seems to fail ... Let me check

It's not related to assimulo:
https://koji.fedoraproject.org/koji/getfile?taskID=11837192&name=root.log&offset=-4000

> 
> [-]: %check is present and all tests pass.
> [x]: Packages should try to preserve timestamps of original installed
>      files.
> [x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
> [x]: Sources can be downloaded from URI in Source: tag
> [x]: Reviewer should test that the package builds in mock.
> [x]: Buildroot is not present
> [x]: Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
> [x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
> [x]: SourceX is a working URL.
> [x]: Spec use %global instead of %define unless justified.
> 
> ===== EXTRA items =====
> 
> Generic:
> [!]: Rpmlint is run on all installed packages.
>      Note: Mock build failed
>      See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
> [x]: Large data in /usr/share should live in a noarch subpackage if package
>      is arched.
> [x]: Spec file according to URL is the same as in SRPM.
> 
> 
> Installation errors
> -------------------
> INFO: mock.py version 1.2.13 starting (python version = 3.4.3)...
> Start: init plugins
> INFO: selinux enabled
> Finish: init plugins
> Start: run
> Start: chroot init
> INFO: calling preinit hooks
> INFO: enabled root cache
> INFO: enabled dnf cache
> Start: cleaning dnf metadata
> Finish: cleaning dnf metadata
> INFO: enabled ccache
> Mock Version: 1.2.13
> INFO: Mock Version: 1.2.13
> Finish: chroot init
> INFO: installing package(s):
> /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1215354-assimulo/results/
> assimulo-2.8-4.fc24.x86_64.rpm
> /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1215354-assimulo/results/
> python3-assimulo-2.8-4.fc24.x86_64.rpm
> /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1215354-assimulo/results/
> assimulo-debuginfo-2.8-4.fc24.x86_64.rpm
> /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1215354-assimulo/results/
> assimulo-debuginfo-2.8-4.fc24.x86_64.rpm
> ERROR: Command failed. See logs for output.
>  # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/
> --releasever 24 install
> /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1215354-assimulo/results/
> assimulo-2.8-4.fc24.x86_64.rpm
> /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1215354-assimulo/results/
> python3-assimulo-2.8-4.fc24.x86_64.rpm
> /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1215354-assimulo/results/
> assimulo-debuginfo-2.8-4.fc24.x86_64.rpm
> /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1215354-assimulo/results/
> assimulo-debuginfo-2.8-4.fc24.x86_64.rpm --setopt=tsflags=nocontexts
> 
> 
> Rpmlint
> -------
> Checking: assimulo-2.8-4.fc24.x86_64.rpm
>           python3-assimulo-2.8-4.fc24.x86_64.rpm
>           assimulo-debuginfo-2.8-4.fc24.x86_64.rpm
>           assimulo-2.8-4.fc24.src.rpm
> assimulo.x86_64: E: explicit-lib-dependency python-matplotlib
> assimulo.x86_64: W: no-soname
> /usr/lib64/python2.7/site-packages/assimulo/lib/odassl.so
> assimulo.x86_64: W: no-soname
> /usr/lib64/python2.7/site-packages/assimulo/lib/sundials_kinsol_core.so
> assimulo.x86_64: W: no-soname
> /usr/lib64/python2.7/site-packages/assimulo/lib/dasp3dp.so
> assimulo.x86_64: W: no-soname
> /usr/lib64/python2.7/site-packages/assimulo/lib/odepack.so
> assimulo.x86_64: W: no-soname
> /usr/lib64/python2.7/site-packages/assimulo/lib/radau5.so
> assimulo.x86_64: W: no-soname
> /usr/lib64/python2.7/site-packages/assimulo/lib/dopri5.so
> assimulo.x86_64: W: no-soname
> /usr/lib64/python2.7/site-packages/assimulo/lib/glimda.so
> assimulo.x86_64: W: no-soname
> /usr/lib64/python2.7/site-packages/assimulo/lib/rodas.so
> assimulo.x86_64: W: no-soname
> /usr/lib64/python2.7/site-packages/assimulo/lib/radar5.so
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/examples/cvode_basic_backward.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/tests/test_examples.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/examples/ida_with_jac_spgmr.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/examples/dopri5_basic.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/examples/radau5dae_time_events.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/solvers/dasp3.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/examples/rungekutta4_basic.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/examples/cvode_with_disc.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/examples/glimda_vanderpol.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/tests/solvers/__init__.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/solvers/runge_kutta.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/examples/lsodar_bouncing_ball.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/examples/euler_with_disc.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/tests/solvers/test_odepack.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/examples/radau5ode_vanderpol.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/tests/solvers/test_euler.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/tests/solvers/test_radau5.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/examples/
> cvode_with_parameters_modified.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/examples/ida_basic_backward.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/tests/solvers/test_rungekutta.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/examples/radau5ode_with_disc.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/examples/radau5dae_vanderpol.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/examples/cvode_stability.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/examples/euler_basic.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/examples/dopri5_with_disc.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/examples/kinsol_with_jac.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/solvers/odepack.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/examples/kinsol_ors.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/solvers/__init__.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/examples/lsodar_with_disc.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/examples/rodasode_vanderpol.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/examples/rungekutta34_with_disc.
> py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/solvers/rosenbrock.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/examples/euler_vanderpol.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/tests/solvers/test_glimda.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/solvers/odassl.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/tests/solvers/test_sundials.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/examples/rungekutta34_basic.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/solvers/radar5.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/examples/kinsol_basic.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/examples/lsodar_vanderpol.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/tests/test_KINSOL.py
> assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/solvers/radau5.py
> python3-assimulo.x86_64: E: explicit-lib-dependency python3-matplotlib
> python3-assimulo.x86_64: W: no-soname
> /usr/lib64/python3.4/site-packages/assimulo/lib/odepack.cpython-34m.so
> python3-assimulo.x86_64: W: no-soname
> /usr/lib64/python3.4/site-packages/assimulo/lib/dopri5.cpython-34m.so
> python3-assimulo.x86_64: W: no-soname
> /usr/lib64/python3.4/site-packages/assimulo/lib/radar5.cpython-34m.so
> python3-assimulo.x86_64: W: no-soname
> /usr/lib64/python3.4/site-packages/assimulo/lib/dasp3dp.cpython-34m.so
> python3-assimulo.x86_64: W: no-soname
> /usr/lib64/python3.4/site-packages/assimulo/lib/sundials_kinsol_core.cpython-
> 34m.so
> python3-assimulo.x86_64: W: no-soname
> /usr/lib64/python3.4/site-packages/assimulo/lib/odassl.cpython-34m.so
> python3-assimulo.x86_64: W: no-soname
> /usr/lib64/python3.4/site-packages/assimulo/lib/radau5.cpython-34m.so
> python3-assimulo.x86_64: W: no-soname
> /usr/lib64/python3.4/site-packages/assimulo/lib/glimda.cpython-34m.so
> python3-assimulo.x86_64: W: no-soname
> /usr/lib64/python3.4/site-packages/assimulo/lib/rodas.cpython-34m.so
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/examples/euler_vanderpol.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/examples/glimda_vanderpol.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/tests/solvers/test_glimda.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/examples/rungekutta4_basic.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/examples/rodasode_vanderpol.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/examples/ida_with_jac_spgmr.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/tests/solvers/__init__.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/examples/kinsol_basic.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/tests/solvers/test_odepack.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/examples/radau5dae_vanderpol.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/examples/cvode_with_disc.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/examples/rungekutta34_basic.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/examples/
> cvode_with_parameters_modified.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/examples/kinsol_with_jac.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/solvers/rosenbrock.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/examples/lsodar_bouncing_ball.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/tests/solvers/test_radau5.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/solvers/radau5.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/examples/radau5ode_with_disc.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/examples/rungekutta34_with_disc.
> py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/examples/cvode_stability.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/examples/radau5ode_vanderpol.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/examples/dopri5_with_disc.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/examples/euler_basic.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/solvers/radar5.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/tests/test_examples.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/examples/euler_with_disc.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/examples/radau5dae_time_events.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/solvers/odepack.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/tests/solvers/test_rungekutta.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/tests/solvers/test_euler.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/tests/test_KINSOL.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/examples/cvode_basic_backward.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/examples/lsodar_vanderpol.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/examples/kinsol_ors.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/solvers/dasp3.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/solvers/__init__.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/solvers/odassl.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/examples/dopri5_basic.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/examples/lsodar_with_disc.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/tests/solvers/test_sundials.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/solvers/runge_kutta.py
> python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python3.4/site-packages/assimulo/examples/ida_basic_backward.py
> assimulo.src: W: %ifarch-applied-patch Patch0:
> %{name}-mech_system_pendulum.patch
> assimulo.src: W: invalid-url Source1: assimulo-licenses.tar.gz
> 4 packages and 0 specfiles checked; 88 errors, 20 warnings.
> 
> 
> 
> 
> Requires
> --------
> assimulo (rpmlib, GLIBC filtered):
>     /usr/bin/env
>     libblas.so.3()(64bit)
>     libc.so.6()(64bit)
>     libgcc_s.so.1()(64bit)
>     libgcc_s.so.1(GCC_4.0.0)(64bit)
>     libgfortran.so.3()(64bit)
>     libgfortran.so.3(GFORTRAN_1.0)(64bit)
>     libgfortran.so.3(GFORTRAN_1.4)(64bit)
>     liblapack.so.3()(64bit)
>     libm.so.6()(64bit)
>     libpthread.so.0()(64bit)
>     libpython2.7.so.1.0()(64bit)
>     libquadmath.so.0()(64bit)
>     libsundials_cvodes.so.2()(64bit)
>     libsundials_idas.so.0()(64bit)
>     libsundials_kinsol.so.1()(64bit)
>     libsundials_nvecserial.so.0()(64bit)
>     numpy
>     python(abi)
>     python-matplotlib
>     rtld(GNU_HASH)
>     scipy
> 
> python3-assimulo (rpmlib, GLIBC filtered):
>     /usr/bin/env
>     libblas.so.3()(64bit)
>     libc.so.6()(64bit)
>     libgcc_s.so.1()(64bit)
>     libgcc_s.so.1(GCC_4.0.0)(64bit)
>     libgfortran.so.3()(64bit)
>     libgfortran.so.3(GFORTRAN_1.0)(64bit)
>     libgfortran.so.3(GFORTRAN_1.4)(64bit)
>     liblapack.so.3()(64bit)
>     libm.so.6()(64bit)
>     libpthread.so.0()(64bit)
>     libpython3.4m.so.1.0()(64bit)
>     libquadmath.so.0()(64bit)
>     libsundials_cvodes.so.2()(64bit)
>     libsundials_idas.so.0()(64bit)
>     libsundials_kinsol.so.1()(64bit)
>     libsundials_nvecserial.so.0()(64bit)
>     python(abi)
>     python3-matplotlib
>     python3-numpy
>     python3-scipy
>     rtld(GNU_HASH)
> 
> assimulo-debuginfo (rpmlib, GLIBC filtered):
> 
> 
> 
> Provides
> --------
> assimulo:
>     assimulo
>     assimulo(x86-64)
>     python-assimulo
>     python-assimulo(x86-64)
> 
> python3-assimulo:
>     python3-assimulo
>     python3-assimulo(x86-64)
> 
> assimulo-debuginfo:
>     assimulo-debuginfo
>     assimulo-debuginfo(x86-64)
> 
> 
> 
> Unversioned so-files
> --------------------
> assimulo: /usr/lib64/python2.7/site-packages/assimulo/algebraic.so
> assimulo: /usr/lib64/python2.7/site-packages/assimulo/explicit_ode.so
> assimulo: /usr/lib64/python2.7/site-packages/assimulo/implicit_ode.so
> assimulo: /usr/lib64/python2.7/site-packages/assimulo/lib/dasp3dp.so
> assimulo: /usr/lib64/python2.7/site-packages/assimulo/lib/dopri5.so
> assimulo: /usr/lib64/python2.7/site-packages/assimulo/lib/glimda.so
> assimulo: /usr/lib64/python2.7/site-packages/assimulo/lib/odassl.so
> assimulo: /usr/lib64/python2.7/site-packages/assimulo/lib/odepack.so
> assimulo: /usr/lib64/python2.7/site-packages/assimulo/lib/radar5.so
> assimulo: /usr/lib64/python2.7/site-packages/assimulo/lib/radau5.so
> assimulo: /usr/lib64/python2.7/site-packages/assimulo/lib/rodas.so
> assimulo:
> /usr/lib64/python2.7/site-packages/assimulo/lib/sundials_kinsol_core.so
> assimulo: /usr/lib64/python2.7/site-packages/assimulo/ode.so
> assimulo: /usr/lib64/python2.7/site-packages/assimulo/problem.so
> assimulo: /usr/lib64/python2.7/site-packages/assimulo/solvers/euler.so
> assimulo: /usr/lib64/python2.7/site-packages/assimulo/solvers/kinsol.so
> assimulo: /usr/lib64/python2.7/site-packages/assimulo/solvers/sundials.so
> assimulo: /usr/lib64/python2.7/site-packages/assimulo/special_systems.so
> assimulo: /usr/lib64/python2.7/site-packages/assimulo/support.so
> python3-assimulo:
> /usr/lib64/python3.4/site-packages/assimulo/algebraic.cpython-34m.so
> python3-assimulo:
> /usr/lib64/python3.4/site-packages/assimulo/explicit_ode.cpython-34m.so
> python3-assimulo:
> /usr/lib64/python3.4/site-packages/assimulo/implicit_ode.cpython-34m.so
> python3-assimulo:
> /usr/lib64/python3.4/site-packages/assimulo/lib/dasp3dp.cpython-34m.so
> python3-assimulo:
> /usr/lib64/python3.4/site-packages/assimulo/lib/dopri5.cpython-34m.so
> python3-assimulo:
> /usr/lib64/python3.4/site-packages/assimulo/lib/glimda.cpython-34m.so
> python3-assimulo:
> /usr/lib64/python3.4/site-packages/assimulo/lib/odassl.cpython-34m.so
> python3-assimulo:
> /usr/lib64/python3.4/site-packages/assimulo/lib/odepack.cpython-34m.so
> python3-assimulo:
> /usr/lib64/python3.4/site-packages/assimulo/lib/radar5.cpython-34m.so
> python3-assimulo:
> /usr/lib64/python3.4/site-packages/assimulo/lib/radau5.cpython-34m.so
> python3-assimulo:
> /usr/lib64/python3.4/site-packages/assimulo/lib/rodas.cpython-34m.so
> python3-assimulo:
> /usr/lib64/python3.4/site-packages/assimulo/lib/sundials_kinsol_core.cpython-
> 34m.so
> python3-assimulo:
> /usr/lib64/python3.4/site-packages/assimulo/ode.cpython-34m.so
> python3-assimulo:
> /usr/lib64/python3.4/site-packages/assimulo/problem.cpython-34m.so
> python3-assimulo:
> /usr/lib64/python3.4/site-packages/assimulo/solvers/euler.cpython-34m.so
> python3-assimulo:
> /usr/lib64/python3.4/site-packages/assimulo/solvers/kinsol.cpython-34m.so
> python3-assimulo:
> /usr/lib64/python3.4/site-packages/assimulo/solvers/sundials.cpython-34m.so
> python3-assimulo:
> /usr/lib64/python3.4/site-packages/assimulo/special_systems.cpython-34m.so
> python3-assimulo:
> /usr/lib64/python3.4/site-packages/assimulo/support.cpython-34m.so
> 
> Source checksums
> ----------------
> https://pypi.python.org/packages/source/A/Assimulo/Assimulo-2.8.zip :
>   CHECKSUM(SHA256) this package     :
> 4ce2049aa582763a3a5a742dc2afcf6ec736f1748aac6fbfd019df7495fcf141
>   CHECKSUM(SHA256) upstream package :
> 4ce2049aa582763a3a5a742dc2afcf6ec736f1748aac6fbfd019df7495fcf141
> 
> 
> Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
> Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1215354
> Buildroot used: fedora-rawhide-x86_64
> Active plugins: Python, Generic, Shell-api, C/C++
> Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP,
> Ruby
> Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 22 Antonio T. (sagitter) 2015-11-14 20:09:15 UTC
(In reply to Mukundan Ragavan from comment #20)
> This is the first patch that is applied for select architectures - 
> 
> --- assimulo/examples/mech_system_pendulum.orig.py	2014-07-17
> 12:40:10.000000000 +0200
> +++ assimulo/examples/mech_system_pendulum.py	2015-04-25 19:23:54.272276500
> +0200
> @@ -63,7 +63,7 @@
>      print(final_residual, 'Norm:  ', sl.norm(final_residual))
>      
>      if with_test:
> -        assert(sl.norm(final_residual) < 1.5e-2)
> +        assert(sl.norm(final_residual) < 1.5e-1)
>      if with_plots:
>          dae_pend.plot(mask=[1,1]+(len(my_pend.y0)-2)*[0]) 
>      return my_pend, dae_pend
> 
> 
> 
> I do not think I understand why this reduced tolerance is needed .. Can you
> please explain?

Because that test failed on PPC, like this one: 
https://trac.jmodelica.org/assimulo/ticket/239

Comment 23 Mukundan Ragavan 2015-11-14 20:14:54 UTC
That sounds good. Please add the link to the upstream ticket in the spec file for reference.

As for the name, if you have a specific reason for assimulo vs python-assimulo, I would be interested to know.

As for mock installation errors, I don't know what's going on there. I am able to install it just fine on my system.

koji error - that's does not seem related to this package, yes.

Comment 24 Upstream Release Monitoring 2015-11-14 20:47:27 UTC
sagitter's scratch build of python-assimulo-2.8-5.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11838809

Comment 25 Antonio T. (sagitter) 2015-11-15 16:51:40 UTC
An error crops up in rawhide:

[1/1] Cythonizing assimulo/lib/sundials_kinsol_core.pyx
Traceback (most recent call last):
  File "setup.py", line 509, in <module>
    ext_list += prepare.fortran_extensionlists()
  File "setup.py", line 427, in fortran_extensionlists
    if StrictVersion(np.version.version) > StrictVersion("1.6.1"): 
  File "/usr/lib64/python2.7/distutils/version.py", line 40, in __init__
    self.parse(vstring)
  File "/usr/lib64/python2.7/distutils/version.py", line 107, in parse
    raise ValueError, "invalid version number '%s'" % vstring
ValueError: invalid version number '1.10.2rc1'
error: Bad exit status from /var/tmp/rpm-tmp.s0lRAq (%build)
    Bad exit status from /var/tmp/rpm-tmp.s0lRAq (%build)

I don't know yet from where '1.10.2rc1' comes.
I'm trying to contact upstream maintainer.

https://kojipkgs.fedoraproject.org//work/tasks/8811/11838811/build.log

Comment 26 Antonio T. (sagitter) 2015-11-20 18:49:42 UTC
(In reply to Antonio Trande from comment #25)
> An error crops up in rawhide:
> 
> [1/1] Cythonizing assimulo/lib/sundials_kinsol_core.pyx
> Traceback (most recent call last):
>   File "setup.py", line 509, in <module>
>     ext_list += prepare.fortran_extensionlists()
>   File "setup.py", line 427, in fortran_extensionlists
>     if StrictVersion(np.version.version) > StrictVersion("1.6.1"): 
>   File "/usr/lib64/python2.7/distutils/version.py", line 40, in __init__
>     self.parse(vstring)
>   File "/usr/lib64/python2.7/distutils/version.py", line 107, in parse
>     raise ValueError, "invalid version number '%s'" % vstring
> ValueError: invalid version number '1.10.2rc1'
> error: Bad exit status from /var/tmp/rpm-tmp.s0lRAq (%build)
>     Bad exit status from /var/tmp/rpm-tmp.s0lRAq (%build)
> 
> I don't know yet from where '1.10.2rc1' comes.
> I'm trying to contact upstream maintainer.
> 
> https://kojipkgs.fedoraproject.org//work/tasks/8811/11838811/build.log

This probably happens (or at least so it seems) because of latest release of 'numpy' (numpy-1.10.2-0.1rc1.fc24); maybe this type of caption (0.1rc1) is not swallowed by the code. 'assimulo' is rebuilt successfully in a mock rawhide-tree by downgrading 'numpy' to the 1.10.1-6 release.

Comment 27 Orion Poplawski 2015-11-20 20:44:00 UTC
assimulo is using StrictVersion(np.version.version).  StrictVersion does not allow for "rc" suffixes - see http://epydoc.sourceforge.net/stdlib/distutils.version.StrictVersion-class.html

But I think this in entirely assimulo's problem for using StrictVersion - obviously numpy isn't following those rules.  Maybe they should or might like to, but I don't know.  I've asked: https://mail.scipy.org/pipermail/numpy-discussion/2015-November/074233.html

Comment 28 Antonio T. (sagitter) 2015-11-21 14:22:35 UTC
I forgot Path1 included with assimulo, that probably is the real source of this issue.

Comment 29 Antonio T. (sagitter) 2015-11-21 14:23:36 UTC
Created attachment 1097468 [details]
Numpy patch

Comment 30 Mukundan Ragavan 2015-11-23 02:25:12 UTC
Just back from travel. Will try to build with the patch and see ...

Comment 31 Mukundan Ragavan 2015-12-05 22:01:07 UTC
@Antonio - do you have an updated SRPM I can use for review?

Is the one on your fedorapeople page good to use?

Comment 32 Antonio T. (sagitter) 2015-12-06 10:59:18 UTC
SPEC: https://sagitter.fedorapeople.org/assimulo/python-assimulo.spec
SRPM: https://sagitter.fedorapeople.org/assimulo/python-assimulo-2.8-5.fc23.src.rpm

I've just renamed the package.
Thank you.

Comment 33 Upstream Release Monitoring 2015-12-08 02:21:37 UTC
nonamedotc's scratch build of python-assimulo-2.8-5.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12105676

Comment 34 Mukundan Ragavan 2015-12-08 02:28:43 UTC
Created attachment 1103422 [details]
build log

I have gone through the package again. It seems fine mostly. Only issue I have at this point is that the koji does not seem to build ..

http://koji.fedoraproject.org/koji/taskinfo?taskID=12105676

I can build it in mock though (build log from mock attached) - 

$ ls results/
build.log                               
python-assimulo-2.8-5.fc23.src.rpm     
python-assimulo-debuginfo-2.8-5.fc23.x86_64.rpm  state.log
python3-assimulo-2.8-5.fc23.x86_64.rpm  
python-assimulo-2.8-5.fc23.x86_64.rpm  
root.log

Comment 35 Upstream Release Monitoring 2015-12-08 14:04:12 UTC
sagitter's scratch build of python-assimulo-2.8-6.fc23.src.rpm for dist-6E-epel failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12111341

Comment 36 Upstream Release Monitoring 2015-12-08 14:13:21 UTC
sagitter's scratch build of python-assimulo-2.8-6.fc23.src.rpm for epel7 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12111395

Comment 37 Antonio T. (sagitter) 2015-12-08 15:04:52 UTC
SPEC: https://sagitter.fedorapeople.org/assimulo/python-assimulo.spec
SRPM: https://sagitter.fedorapeople.org/assimulo/python-assimulo-2.8-6.fc23.src.rpm


Upstream maintainer does not reply yet, so

- test_dasp3_basic skipped
- Added 'dssp' as additional request

python-assimulo will be built on Fedora and EPEL7.

Comment 38 Upstream Release Monitoring 2015-12-08 16:11:29 UTC
sagitter's scratch build of python-assimulo-2.8-6.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12112332

Comment 39 Mukundan Ragavan 2015-12-10 00:12:44 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

---> I can install this on my VM from koji build. I can also install the mock build. Does not seem to be an issue.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.


---> Does not seem to be a problem.

[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* BSD (2 clause)", "*No
     copyright* LGPL (v3)", "BSD (3 clause)", "BSD (2 clause)", "LGPL (v2.1
     or later)", "GPL (v3)", "LGPL (v3)". 72 files have unknown license.
     Detailed output of licensecheck in
     /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/assimulo/1215354-python-
     assimulo/licensecheck.txt

---> Looks fine. As indicated in the previous review, please let upstream know.


[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.

---> Clearly documented.

[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/python3.5/site-packages,
     /usr/lib64/python3.5
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/python3.5/site-
     packages, /usr/lib64/python3.5
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-assimulo , python-assimulo-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments

---> This is the license tarball. No issues here.

[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

---> http://koji.fedoraproject.org/koji/taskinfo?taskID=12112332

[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint

---> Actually, mock build worked fine.

mukundan @ imladris 1215354-python-assimulo$ ls results/
build.log                               
python-assimulo-2.8-6.fc24.src.rpm     
python-assimulo-debuginfo-2.8-6.fc24.x86_64.rpm  
state.log
python3-assimulo-2.8-6.fc24.x86_64.rpm  
python-assimulo-2.8-6.fc24.x86_64.rpm  
root.log

Install failed it looks like.

But, I am able to install the package manually. rpmlint messages are the same as the ones below. So, changing to

[x]: Rpmlint is run on all installed packages.


[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.14 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.14
INFO: Mock Version: 1.2.14
Finish: chroot init
INFO: installing package(s): /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/assimulo/1215354-python-assimulo/results/python-assimulo-2.8-6.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/assimulo/1215354-python-assimulo/results/python3-assimulo-2.8-6.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/assimulo/1215354-python-assimulo/results/python-assimulo-debuginfo-2.8-6.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/assimulo/1215354-python-assimulo/results/python-assimulo-debuginfo-2.8-6.fc24.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 24 --setopt=deltarpm=false install /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/assimulo/1215354-python-assimulo/results/python-assimulo-2.8-6.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/assimulo/1215354-python-assimulo/results/python3-assimulo-2.8-6.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/assimulo/1215354-python-assimulo/results/python-assimulo-debuginfo-2.8-6.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/assimulo/1215354-python-assimulo/results/python-assimulo-debuginfo-2.8-6.fc24.x86_64.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: python-assimulo-2.8-6.fc24.x86_64.rpm
          python3-assimulo-2.8-6.fc24.x86_64.rpm
          python-assimulo-debuginfo-2.8-6.fc24.x86_64.rpm
          python-assimulo-2.8-6.fc24.src.rpm
python-assimulo.x86_64: E: explicit-lib-dependency python-matplotlib

---> this is fine. Bogus error in this case.

python-assimulo.x86_64: W: no-soname /usr/lib64/python2.7/site-packages/assimulo/lib/glimda.so
python-assimulo.x86_64: W: no-soname /usr/lib64/python2.7/site-packages/assimulo/lib/radar5.so
python-assimulo.x86_64: W: no-soname /usr/lib64/python2.7/site-packages/assimulo/lib/dopri5.so
python-assimulo.x86_64: W: no-soname /usr/lib64/python2.7/site-packages/assimulo/lib/sundials_kinsol_core.so
python-assimulo.x86_64: W: no-soname /usr/lib64/python2.7/site-packages/assimulo/lib/radau5.so
python-assimulo.x86_64: W: no-soname /usr/lib64/python2.7/site-packages/assimulo/lib/odepack.so
python-assimulo.x86_64: W: no-soname /usr/lib64/python2.7/site-packages/assimulo/lib/odassl.so
python-assimulo.x86_64: W: no-soname /usr/lib64/python2.7/site-packages/assimulo/lib/rodas.so

---> This is fine here ..

python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/solvers/odepack.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/tests/solvers/test_sundials.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/ida_basic_backward.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/radau5ode_vanderpol.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/glimda_vanderpol.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/kinsol_ors.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/solvers/__init__.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/tests/solvers/test_rungekutta.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/radau5dae_vanderpol.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/tests/solvers/test_euler.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/radau5ode_with_disc.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/solvers/dasp3.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/lsodar_bouncing_ball.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/dopri5_basic.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/lsodar_with_disc.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/euler_basic.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/cvode_with_parameters_modified.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/euler_with_disc.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/rodasode_vanderpol.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/rungekutta4_basic.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/tests/test_examples.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/tests/test_KINSOL.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/solvers/rosenbrock.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/solvers/odassl.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/rungekutta34_with_disc.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/lsodar_vanderpol.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/cvode_basic_backward.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/cvode_stability.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/tests/solvers/test_odepack.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/solvers/radau5.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/dopri5_with_disc.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/ida_with_jac_spgmr.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/euler_vanderpol.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/solvers/radar5.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/tests/solvers/__init__.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/solvers/runge_kutta.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/tests/solvers/test_radau5.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/tests/solvers/test_glimda.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/kinsol_basic.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/radau5dae_time_events.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/rungekutta34_basic.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/cvode_with_disc.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/kinsol_with_jac.py

---> I don't really what can be done about this ... Any ideas?

python3-assimulo.x86_64: E: explicit-lib-dependency python3-matplotlib
python3-assimulo.x86_64: W: no-soname /usr/lib64/python3.5/site-packages/assimulo/lib/glimda.cpython-35m-x86_64-linux-gnu.so
python3-assimulo.x86_64: W: no-soname /usr/lib64/python3.5/site-packages/assimulo/lib/radar5.cpython-35m-x86_64-linux-gnu.so
python3-assimulo.x86_64: W: no-soname /usr/lib64/python3.5/site-packages/assimulo/lib/dopri5.cpython-35m-x86_64-linux-gnu.so
python3-assimulo.x86_64: W: no-soname /usr/lib64/python3.5/site-packages/assimulo/lib/radau5.cpython-35m-x86_64-linux-gnu.so
python3-assimulo.x86_64: W: no-soname /usr/lib64/python3.5/site-packages/assimulo/lib/odepack.cpython-35m-x86_64-linux-gnu.so
python3-assimulo.x86_64: W: no-soname /usr/lib64/python3.5/site-packages/assimulo/lib/odassl.cpython-35m-x86_64-linux-gnu.so
python3-assimulo.x86_64: W: no-soname /usr/lib64/python3.5/site-packages/assimulo/lib/sundials_kinsol_core.cpython-35m-x86_64-linux-gnu.so
python3-assimulo.x86_64: W: no-soname /usr/lib64/python3.5/site-packages/assimulo/lib/rodas.cpython-35m-x86_64-linux-gnu.so
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/examples/dopri5_with_disc.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/examples/radau5ode_vanderpol.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/solvers/runge_kutta.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/examples/lsodar_with_disc.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/examples/glimda_vanderpol.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/solvers/dasp3.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/examples/kinsol_with_jac.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/examples/dopri5_basic.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/tests/test_examples.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/tests/solvers/test_euler.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/solvers/rosenbrock.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/solvers/odassl.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/tests/solvers/test_sundials.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/examples/rungekutta4_basic.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/examples/kinsol_ors.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/solvers/odepack.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/examples/lsodar_bouncing_ball.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/examples/cvode_stability.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/tests/solvers/test_rungekutta.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/examples/rungekutta34_with_disc.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/tests/test_KINSOL.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/tests/solvers/test_glimda.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/solvers/__init__.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/solvers/radau5.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/examples/euler_with_disc.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/examples/radau5dae_time_events.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/examples/ida_basic_backward.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/examples/rungekutta34_basic.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/examples/radau5ode_with_disc.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/examples/cvode_with_parameters_modified.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/examples/kinsol_basic.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/examples/euler_vanderpol.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/tests/solvers/test_odepack.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/tests/solvers/test_radau5.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/examples/ida_with_jac_spgmr.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/examples/euler_basic.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/tests/solvers/__init__.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/examples/radau5dae_vanderpol.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/examples/rodasode_vanderpol.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/examples/cvode_with_disc.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/examples/cvode_basic_backward.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/examples/lsodar_vanderpol.py
python3-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.5/site-packages/assimulo/solvers/radar5.py


python-assimulo.src: W: %ifarch-applied-patch Patch0: %{pname}-mech_system_pendulum.patch

---> This is needed in this case.

python-assimulo.src: W: invalid-url Source1: assimulo-licenses.tar.gz

---> This is fine.

4 packages and 0 specfiles checked; 88 errors, 18 warnings.




Requires
--------
python-assimulo-debuginfo (rpmlib, GLIBC filtered):

python3-assimulo (rpmlib, GLIBC filtered):
    /usr/bin/env
    libblas.so.3()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libgfortran.so.3()(64bit)
    libgfortran.so.3(GFORTRAN_1.0)(64bit)
    libgfortran.so.3(GFORTRAN_1.4)(64bit)
    liblapack.so.3()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.5m.so.1.0()(64bit)
    libquadmath.so.0()(64bit)
    libsundials_cvodes.so.2()(64bit)
    libsundials_idas.so.0()(64bit)
    libsundials_kinsol.so.1()(64bit)
    libsundials_nvecserial.so.0()(64bit)
    python(abi)
    python3-matplotlib
    python3-numpy
    python3-scipy
    rtld(GNU_HASH)

python-assimulo (rpmlib, GLIBC filtered):
    /usr/bin/env
    libblas.so.3()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libgfortran.so.3()(64bit)
    libgfortran.so.3(GFORTRAN_1.0)(64bit)
    libgfortran.so.3(GFORTRAN_1.4)(64bit)
    liblapack.so.3()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    libquadmath.so.0()(64bit)
    libsundials_cvodes.so.2()(64bit)
    libsundials_idas.so.0()(64bit)
    libsundials_kinsol.so.1()(64bit)
    libsundials_nvecserial.so.0()(64bit)
    numpy
    python(abi)
    python-matplotlib
    rtld(GNU_HASH)
    scipy



Provides
--------
python-assimulo-debuginfo:
    python-assimulo-debuginfo
    python-assimulo-debuginfo(x86-64)

python3-assimulo:
    python3-assimulo
    python3-assimulo(x86-64)

python-assimulo:
    python-assimulo
    python-assimulo(x86-64)



Unversioned so-files
--------------------
python-assimulo: /usr/lib64/python2.7/site-packages/assimulo/algebraic.so
python-assimulo: /usr/lib64/python2.7/site-packages/assimulo/explicit_ode.so
python-assimulo: /usr/lib64/python2.7/site-packages/assimulo/implicit_ode.so
python-assimulo: /usr/lib64/python2.7/site-packages/assimulo/lib/dopri5.so
python-assimulo: /usr/lib64/python2.7/site-packages/assimulo/lib/glimda.so
python-assimulo: /usr/lib64/python2.7/site-packages/assimulo/lib/odassl.so
python-assimulo: /usr/lib64/python2.7/site-packages/assimulo/lib/odepack.so
python-assimulo: /usr/lib64/python2.7/site-packages/assimulo/lib/radar5.so
python-assimulo: /usr/lib64/python2.7/site-packages/assimulo/lib/radau5.so
python-assimulo: /usr/lib64/python2.7/site-packages/assimulo/lib/rodas.so
python-assimulo: /usr/lib64/python2.7/site-packages/assimulo/lib/sundials_kinsol_core.so
python-assimulo: /usr/lib64/python2.7/site-packages/assimulo/ode.so
python-assimulo: /usr/lib64/python2.7/site-packages/assimulo/problem.so
python-assimulo: /usr/lib64/python2.7/site-packages/assimulo/solvers/euler.so
python-assimulo: /usr/lib64/python2.7/site-packages/assimulo/solvers/kinsol.so
python-assimulo: /usr/lib64/python2.7/site-packages/assimulo/solvers/sundials.so
python-assimulo: /usr/lib64/python2.7/site-packages/assimulo/special_systems.so
python-assimulo: /usr/lib64/python2.7/site-packages/assimulo/support.so
python3-assimulo: /usr/lib64/python3.5/site-packages/assimulo/algebraic.cpython-35m-x86_64-linux-gnu.so
python3-assimulo: /usr/lib64/python3.5/site-packages/assimulo/explicit_ode.cpython-35m-x86_64-linux-gnu.so
python3-assimulo: /usr/lib64/python3.5/site-packages/assimulo/implicit_ode.cpython-35m-x86_64-linux-gnu.so
python3-assimulo: /usr/lib64/python3.5/site-packages/assimulo/lib/dopri5.cpython-35m-x86_64-linux-gnu.so
python3-assimulo: /usr/lib64/python3.5/site-packages/assimulo/lib/glimda.cpython-35m-x86_64-linux-gnu.so
python3-assimulo: /usr/lib64/python3.5/site-packages/assimulo/lib/odassl.cpython-35m-x86_64-linux-gnu.so
python3-assimulo: /usr/lib64/python3.5/site-packages/assimulo/lib/odepack.cpython-35m-x86_64-linux-gnu.so
python3-assimulo: /usr/lib64/python3.5/site-packages/assimulo/lib/radar5.cpython-35m-x86_64-linux-gnu.so
python3-assimulo: /usr/lib64/python3.5/site-packages/assimulo/lib/radau5.cpython-35m-x86_64-linux-gnu.so
python3-assimulo: /usr/lib64/python3.5/site-packages/assimulo/lib/rodas.cpython-35m-x86_64-linux-gnu.so
python3-assimulo: /usr/lib64/python3.5/site-packages/assimulo/lib/sundials_kinsol_core.cpython-35m-x86_64-linux-gnu.so
python3-assimulo: /usr/lib64/python3.5/site-packages/assimulo/ode.cpython-35m-x86_64-linux-gnu.so
python3-assimulo: /usr/lib64/python3.5/site-packages/assimulo/problem.cpython-35m-x86_64-linux-gnu.so
python3-assimulo: /usr/lib64/python3.5/site-packages/assimulo/solvers/euler.cpython-35m-x86_64-linux-gnu.so
python3-assimulo: /usr/lib64/python3.5/site-packages/assimulo/solvers/kinsol.cpython-35m-x86_64-linux-gnu.so
python3-assimulo: /usr/lib64/python3.5/site-packages/assimulo/solvers/sundials.cpython-35m-x86_64-linux-gnu.so
python3-assimulo: /usr/lib64/python3.5/site-packages/assimulo/special_systems.cpython-35m-x86_64-linux-gnu.so
python3-assimulo: /usr/lib64/python3.5/site-packages/assimulo/support.cpython-35m-x86_64-linux-gnu.so

Source checksums
----------------
https://pypi.python.org/packages/source/A/Assimulo/Assimulo-2.8.zip :
  CHECKSUM(SHA256) this package     : 4ce2049aa582763a3a5a742dc2afcf6ec736f1748aac6fbfd019df7495fcf141
  CHECKSUM(SHA256) upstream package : 4ce2049aa582763a3a5a742dc2afcf6ec736f1748aac6fbfd019df7495fcf141


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1215354
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 40 Mukundan Ragavan 2015-12-10 00:14:08 UTC
I am fine with approving the package.

python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/rungekutta34_basic.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/cvode_with_disc.py
python-assimulo.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/assimulo/examples/kinsol_with_jac.py

---> I don't really what can be done about this ... Any ideas?

Comment 41 Antonio T. (sagitter) 2015-12-10 10:31:31 UTC
(In reply to Mukundan Ragavan from comment #40)
> I am fine with approving the package.
> 
> python-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/examples/rungekutta34_basic.py
> python-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/examples/cvode_with_disc.py
> python-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> /usr/lib64/python2.7/site-packages/assimulo/examples/kinsol_with_jac.py
> 
> ---> I don't really what can be done about this ... Any ideas?

https://fedoraproject.org/wiki/Common_Rpmlint_issues?rd=PackageMaintainers/Common_Rpmlint_Issues#wrong-script-end-of-line-encoding

I will post a new packaging release with these fixes.

Comment 42 Antonio T. (sagitter) 2015-12-10 11:25:50 UTC
(In reply to Antonio Trande from comment #41)
> (In reply to Mukundan Ragavan from comment #40)
> > I am fine with approving the package.
> > 
> > python-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> > /usr/lib64/python2.7/site-packages/assimulo/examples/rungekutta34_basic.py
> > python-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> > /usr/lib64/python2.7/site-packages/assimulo/examples/cvode_with_disc.py
> > python-assimulo.x86_64: E: wrong-script-end-of-line-encoding
> > /usr/lib64/python2.7/site-packages/assimulo/examples/kinsol_with_jac.py
> > 
> > ---> I don't really what can be done about this ... Any ideas?
> 
> https://fedoraproject.org/wiki/Common_Rpmlint_issues?rd=PackageMaintainers/
> Common_Rpmlint_Issues#wrong-script-end-of-line-encoding
> 
> I will post a new packaging release with these fixes.

SPEC: https://sagitter.fedorapeople.org/assimulo/python-assimulo.spec
SRPM: https://sagitter.fedorapeople.org/assimulo/python-assimulo-2.8-7.fc23.src.rpm

Comment 43 Mukundan Ragavan 2015-12-11 02:34:54 UTC
Perfect. That fixes it.

I do not have any further issues. Package APPROVED.

This being a science package, I would be interested in co-maintaining if you do not mind.

Please request repo on pkgdb.

Comment 44 Antonio T. (sagitter) 2015-12-11 10:58:03 UTC
(In reply to Mukundan Ragavan from comment #43)
> Perfect. That fixes it.
> 
> I do not have any further issues. Package APPROVED.

Thank you.

> 
> This being a science package, I would be interested in co-maintaining if you
> do not mind.
> 
> Please request repo on pkgdb.

Yes, of course.

Comment 45 Fedora Update System 2015-12-11 17:34:51 UTC
python-assimulo-2.8-7.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2aa8ee8762

Comment 46 Fedora Update System 2015-12-11 17:34:59 UTC
python-assimulo-2.8-7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-56d4d10de8

Comment 47 Fedora Update System 2015-12-12 03:19:27 UTC
python-assimulo-2.8-7.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-assimulo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2aa8ee8762

Comment 48 Fedora Update System 2015-12-12 03:22:43 UTC
python-assimulo-2.8-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-assimulo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-5af8739110

Comment 49 Fedora Update System 2015-12-12 20:22:44 UTC
python-assimulo-2.8-7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-assimulo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-56d4d10de8

Comment 50 Fedora Update System 2015-12-20 06:53:39 UTC
python-assimulo-2.8-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 51 Fedora Update System 2015-12-20 07:52:10 UTC
python-assimulo-2.8-7.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 52 Fedora Update System 2015-12-28 21:25:28 UTC
python-assimulo-2.8-7.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.